﻿var KTV_API =
{
	KARTINA_API : 'http://iptv.germet.tv/api/xml/',
	login : "147",
	password : "741",
	porno_pass : "",
	SID : null,
    url : null,
    servertime : 0,
    timeFix : 0,
	timeFixSec : 0,
	channels : [ ],
	chan_counter: 0,
	chan_pages : 0,
	last_page_channels_counter : 0,
	epg : [ ],
	channels_ttl : 0,
	errors : null,
	packet_name : null,
	packet_expire : 0,
	timerChList : null,
	last_page_programs_counter : 0,
	vod_list : [ ],
	vod_nums : 0,
	vod_page : 0,
	vod_total : 0,
	favorite_list : [],
	favorite_channels : [ ],
	video_Channels : [ ],
	chan_categorys : [ ],
	nguide_time : 5,
	nguide_server_time : 0,
	XHRObj : null,
	reconnect : 0,
	favstart : "",

}

KTV_API.init = function()
{	
	var setupArray=new Array();
	var fileSystemObj = new FileSystem();
	var oFile=fileSystemObj.openCommonFile("germetplayer_login.dat", "r");
		
	if (oFile)
	{
		while(1)
		{
			l= oFile.readLine();
			if (l==null) 
				break;
			setupArray.push(l);
		 }
		fileSystemObj.closeCommonFile(oFile);

		this.login = setupArray[0];
		this.password = setupArray[1];
		this.porno_pass = setupArray[2];
        if (setupArray[3])
            this.timeFix = parseInt(setupArray[3]);
		if (setupArray[4])
			this.reconnect = parseInt(setupArray[4]);
		if (setupArray[5])
			this.favstart = setupArray[5];
	}


	var oFileFav=fileSystemObj.openCommonFile("germetplayer_favorites.dat", "r");
	
	if (oFileFav)
	{
		while(1)
		{
			l= oFileFav.readLine();
			if (l==null) 
				break;
			this.favorite_list.push(l);
		 }
		fileSystemObj.closeCommonFile(oFileFav);
		if(this.favorite_list.length > 0 && this.favstart!="")
			Main.FAV_MODE = 1;
	}
	else
	{
		this.favorite_list = new Array (3,2,8); //ROSSIJA,ORT,TNT
	}
	
    var tm = new Date();
	this.timeFixSec = this.timeFix*60*60;
	
	return true
}

KTV_API.timeToString = function(time)
{
	var Unixtime = new Date((time + this.timeFixSec)*1000);
	var Min = Unixtime.getMinutes();
	if (Min <10)
		Min= "0" + String(Min);
	var Hou = Unixtime.getHours();
	if (Hou <10)
		Hou= "0" + String(Hou);
	return Hou+":"+Min
}

KTV_API.DateMenu = function(time)
{
	var Unixtime = new Date((time + this.timeFixSec)*1000);
	var days= new Array ("воскресенье", "понедельник", "вторник", "среда", "четверг","пятница", "суббота");
	var monts = new Array ("января", "февраля","марта", "апреля", "мая", "июня","июля", "августа","сентября", "октября","ноября","декабря");
	var WeekDay = days[Unixtime.getDay()];
	var Day = Unixtime.getDate();
	var Month = monts[Unixtime.getMonth()];
	return WeekDay +" "+ Day +" "+ Month;
}

KTV_API.timeToDate = function(time)
{
	if(!time)
		return ""
	var mmToMonth = new Array('Янв','Фев','Мар','Апр','Май','Июн','Июл','Авг','Сен','Окт','Ноя','Дек');
	var Unixtime = new Date((time + this.timeFixSec)*1000);
	var Day = Unixtime.getDate();
	var Month = mmToMonth[Unixtime.getMonth()];
	var Year = Unixtime.getFullYear();

	return Day +". "+Month+" "+Year
}


KTV_API.Request = function(cmd, params)
{

		if(this.SID == null)
		{
			if(cmd != 'login')
			{
				KTV_API.Auth(this.login, this.password);
			}
		}

		var url = this.KARTINA_API + cmd;
		url = url + '?' + params;
		
		if (this.SID != null)
			url = url + '&' + this.SID;
			
		ConsoleLog('url '+url);
		
		try
		{
			if (this.XHRObj != null) 
				this.XHRObj.destroy();
			this.XHRObj = new XMLHttpRequest();
			this.XHRObj.open("GET", url, false);
			this.XHRObj.send(null);

			if(this.XHRObj.readyState == 4)
				if(this.XHRObj.status == 200)
				{
					var xmlDoc = this.XHRObj.responseXML;
					KTV_API.ErrorsCheck(xmlDoc, cmd);
					this.servertime = parseInt(xmlDoc.getElementsByTagName("servertime")[0].childNodes[0].nodeValue); 
					return xmlDoc
				}
			
			Display.status("REQUEST ERROR");
			return false
			
		} catch(e){
			document.getElementById("statusbar").style.display="block";
			widgetAPI.putInnerHTML(Display.statusDiv, '1: ' + e);
		}

}

KTV_API.ErrorsCheck = function(xml, cmd)
{
	try
	{
		
		var error_items = xml.getElementsByTagName("error");

		if(error_items.length)
		{
			this.errors = '<b style="color:red;">';
			
			for (var index = 0; index < error_items.length; index++)
			{
				this.errors+=error_items[index].getElementsByTagName("message")[0].childNodes[0].nodeValue;
				this.errors+="";
			}
			this.errors+="</b>";	
			
			document.getElementById("statusbar").style.display="block";
			widgetAPI.putInnerHTML(Display.statusDiv, this.errors);
			
			if(cmd=='login')
				Display.status_timer=setTimeout("Display.hidestatus()",20000);
			else
				Display.status_timer=setTimeout("Display.hidestatus()",10000);
				
			this.SID = null;
		}
		else
			this.errors = null;
		
		return true
		
	} catch(e){
			document.getElementById("statusbar").style.display="block";
			widgetAPI.putInnerHTML(Display.statusDiv, '2: ' + e);
	}
}

KTV_API.Auth = function(user, password)
{
		var xmlDoc = KTV_API.Request('login', 'login='+user+'&pass='+password);
		
		if(xmlDoc && xmlDoc.getElementsByTagName("sid").length)
		{
			var sid = xmlDoc.getElementsByTagName("sid")[0].childNodes[0].nodeValue;
			var sid_name = xmlDoc.getElementsByTagName("sid_name")[0].childNodes[0].nodeValue;
			this.SID = "sid_name=" + sid_name + "&sid=" + sid;
			this.packet_name = xmlDoc.getElementsByTagName("packet_name")[0].childNodes[0].nodeValue;
			this.packet_expire = parseInt(xmlDoc.getElementsByTagName("packet_expire")[0].childNodes[0].nodeValue);
        }
		else 
			this.SID = null;

		return true
}

KTV_API.getChannel_list = function()
{

	this.chan_counter = 0;
	this.video_Channels = new Array();
	this.favorite_channels = new Array();
	var favorite_channels_fixed = new Array();

	try
	{
		var xmlChannels = KTV_API.Request('channel_list', '');
		
		var time = xmlChannels.getElementsByTagName("servertime")[0].childNodes[0].nodeValue;
		var items = xmlChannels.getElementsByTagName("item");
		
		var cat_counter = 0;
		var chan_counter = 0;
		var Categorys = new Array(new Array(999, 'показать каналы из всех категорий'));
		var cat_name = "";
		var cat_id = 0;
				
		for (var index = 0; index < items.length; index++)
		{
				
			var type = 0;
			var have_archive = 0;
			var epg_start = 0;
			var epg_end = 0;
			
			if(items[index].getElementsByTagName("channels").length)
			{
				var type = 1;
				cat_counter = cat_counter + 1;
			}
			
			if(items[index].getElementsByTagName("is_video").length && type == 0)
			{
				var video = items[index].getElementsByTagName("is_video")[0].childNodes[0].nodeValue;
				if(video!="xxx")
				{
					var type = 2;
					chan_counter = chan_counter +1;
				}
			}
			
			if(type>0)
			{
				var id = items[index].getElementsByTagName("id")[0].childNodes[0].nodeValue;
				var name = items[index].getElementsByTagName("name")[0].childNodes[0].nodeValue;

				if(type==1)
				{
					cat_name = name;
					cat_id = id;
					var Category =Array (cat_id, cat_name);
					if(Main.cat_id == cat_id)
						Main.cat_name = cat_name;
					//if(id!=23)//RADIO
						Categorys.push(Category);
				}
				if(type==2)
				{

					var epg_prog = "";
					var epg_desc = "";
					var epg_progname = "";
					
					if(items[index].getElementsByTagName("epg_progname").length)
						epg_progname = items[index].getElementsByTagName("epg_progname")[0].childNodes[0].nodeValue;

					if(epg_progname.length)
					{
						epg_programm = epg_progname.split('\n');
						if(epg_programm[0])
							epg_prog = epg_programm[0];
						if(epg_programm[1])
							epg_desc = epg_programm[1];
					}
					if(items[index].getElementsByTagName("have_archive").length)
					{
						have_archive = items[index].getElementsByTagName("have_archive")[0].childNodes[0].nodeValue;
					}
					if(items[index].getElementsByTagName("epg_start").length)
					{
						epg_start = items[index].getElementsByTagName("epg_start")[0].childNodes[0].nodeValue;
						epg_start = parseInt(epg_start);
					}
					if(items[index].getElementsByTagName("epg_end").length)
					{
						epg_end = items[index].getElementsByTagName("epg_end")[0].childNodes[0].nodeValue;
						epg_end = parseInt(epg_end);
					}						

					var Channel = Array(id, name, epg_prog, epg_desc, epg_start, epg_end, have_archive, cat_name, cat_id, '', chan_counter);

					if(Main.cat_id == 999 && cat_id!=21 && cat_id!=23 || Main.cat_id == cat_id)
						this.video_Channels.push(Channel);
					
					//FAVORITES
					for (var new_index = 0; new_index < this.favorite_list.length; new_index++)
						{
							if(id == this.favorite_list[new_index])
								this.favorite_channels[new_index]=Channel;
						}
				}
				
			}
	
		}

		//FAV FX
		for ($i=0 ; $i<this.favorite_channels.length;$i++) {
			if (this.favorite_channels[$i]) 
				favorite_channels_fixed.push(this.favorite_channels[$i]);
		} 
		this.favorite_channels = favorite_channels_fixed;

		this.chan_categorys = Categorys;

		if(Main.FAV_MODE == 0)
			this.channels = this.video_Channels;
		else if(this.favorite_channels.length>0)
		{
			this.channels = this.favorite_channels;
			Main.FAV_MODE = 1;
		}


		KTV_API.countPages();

		if(this.chan_counter>0)
			return true
		else
		{
			Display.status("CHANNEL LIST ERROR");
		}
		
	} catch(e){
		//document.getElementById("statusbar").style.display="block";
		//widgetAPI.putInnerHTML(Display.statusDiv, '3: ' + e);
	}
}

KTV_API.favoritesCheck = function()
{
	//FAVORITES
	for (var index = 0; index < this.favorite_list.length; index++)
		{
			if(id == this.favorite_list[new_index])
				this.favorite_channels[new_index]=Channel;
		}
}
						
KTV_API.nGuideChanList = function()
{
	//getNewServerTime
	KTV_API.Request('account', '');
	
	KTV_API.nguide_server_time = KTV_API.servertime;
	var tmpArray = new Array();
	var chan_counter = 0;
	
	var tmpIdsArray = new Array();
	
	for (var index = 0; index < this.chan_counter; index++)
	{
		if(this.channels[index][4] > 0)
		{
			var percent = (KTV_API.channels[index][5] - KTV_API.channels[index][4])/100;
			var time_left_min = parseInt((KTV_API.channels[index][5] - KTV_API.servertime)/60);
			var elapsed_time_min = parseInt((KTV_API.servertime - KTV_API.channels[index][4])/60);		
			var elapsed_time = (KTV_API.servertime - KTV_API.channels[index][4]);
			percent =  parseInt(elapsed_time/percent);
			var epg = KTV_API.channels[index][2];
			var category = KTV_API.channels[index][8];
			
			if(((elapsed_time_min < this.nguide_time) && (percent < this.nguide_time)) || (time_left_min < this.nguide_time)) //  &&  
			{
				if(!(epg=="Рекламный блок" && category=="19" && (elapsed_time_min < this.nguide_time)) && !(epg!="Рекламный блок" && category=="19" && (time_left_min < this.nguide_time))) // KINOZAL
				{
					chan_counter = chan_counter + 1; 
					var temp_chan = this.channels[index];
					tmpArray.push(temp_chan);
				}
			}
				
		}
	}
	if(chan_counter>0)
	{
		Main.nguide = 'on';
		this.channels = tmpArray;
		Main.chan_array_index = 0;
		KTV_API.countPages();
		Display.status('<span style="color:green;">nGuide</span><br><b>' + chan_counter + '</b>');
	}
	else
	{
		Main.nguideNotFound();
	}	
}

KTV_API.countPages = function()
{
		this.chan_counter = this.channels.length;

		this.chan_pages = this.chan_counter;
		this.last_page_channels_counter = this.chan_counter % 10;
		if(this.last_page_channels_counter==0)
			this.last_page_channels_counter = 10;
		
		if ( this.last_page_channels_counter > 0 && this.last_page_channels_counter < 5)
			this.chan_pages = Math.round(this.chan_pages / 10) + 1;
		else
			this.chan_pages = Math.round(this.chan_pages / 10);
}
		
KTV_API.getChannel_helper = function()
{
	KTV_API.getChannel_list();
}

KTV_API.getChannel_url = function(ch_id, gmt_time)
{

	try
	{
		var url = "";
		if (gmt_time!=0)
		{
			var params = 'cid='+ch_id+'&gmt='+gmt_time+'&protect_code='+this.porno_pass;
		}
		else
		{
			var params = 'cid='+ch_id+'&protect_code='+this.porno_pass;
		}
		var xmlDoc = KTV_API.Request('get_url', params)
		
			
		var url_to_stream = xmlDoc.getElementsByTagName("url")[0].childNodes[0].nodeValue;
		var url = url_to_stream.split(' ')[0].replace('http/ts://', 'http://');
			
		this.url = url;

		return url
		
	} catch(e){
		ConsoleLog("KTV_API.getChannel_url ERROR: "+e);
		document.getElementById("statusbar").style.display="block";
		widgetAPI.putInnerHTML(Display.statusDiv, '5: ' + e);
	}
}		

KTV_API.getNextEPG = function(ch_id)
{
		var params = 'cid=' + ch_id;
		var xmlDoc = KTV_API.Request('epg_next', params);
		
		var epg_next3 = new Array();
		
		var items = xmlDoc.getElementsByTagName("item");
		
		if(items.length<3)
			{
				var dummy = new Array("","","","","");
				return dummy
			}
		
		for (var index = 0; index < items.length; index++)
        {
			
			var ts = parseInt(items[index].getElementsByTagName("ts")[0].childNodes[0].nodeValue);

			var epg_prog = "";
			var epg_desc = "";
			var epg_progname = "";
			
			if(items[index].getElementsByTagName("progname").length)
				epg_progname = items[index].getElementsByTagName("progname")[0].childNodes[0].nodeValue;

			
			if(epg_progname.length)
			{
				var epg_programm = epg_progname.split('\n');
				if(epg_programm[0])
					epg_prog = epg_programm[0];
				if(epg_programm[1])
					epg_desc = epg_programm[1];
			}
			
			var epg_one = new Array(ts, epg_prog, epg_desc);
			epg_next3.push(epg_one);
		}
		
		var duration = parseInt((epg_next3[2][0]-epg_next3[1][0])/60);
		var start = KTV_API.timeToString(epg_next3[0][0]);
		var end = KTV_API.timeToString(epg_next3[1][0]);
		
		var next_program = new Array(epg_next3[1][1], epg_next3[1][2], duration, start, end );
		
		return next_program
}

KTV_API.getEPG = function(ch_id, day, channel_utstart)
{
		var params = 'cid=' + ch_id + '&day=' + day;
		var xmlDoc = KTV_API.Request('epg', params);
		
		var epg = new Array();
		
		var items = xmlDoc.getElementsByTagName("item");
		this.last_page_programs_counter = items.length % 10;
		if(this.last_page_programs_counter==0)
			this.last_page_programs_counter = 10;
					
		for (var index = 0; index < items.length; index++)
        {
			
			var ut_start = parseInt(items[index].getElementsByTagName("ut_start")[0].childNodes[0].nodeValue);
			channel_utstart = parseInt(channel_utstart);

			var epg_prog = "";
			var epg_desc = "";
			var epg_progname = "";
			
			var active = false;
			if(ut_start==channel_utstart)
				active = true;
			
			if(items[index].getElementsByTagName("progname").length)
				epg_progname = items[index].getElementsByTagName("progname")[0].childNodes[0].nodeValue;

			if(epg_progname.length)
			{
				var epg_programm = epg_progname.split('\n');
				if(epg_programm[0])
					epg_prog = epg_programm[0];
				if(epg_programm[1])
					epg_desc = epg_programm[1];
			}
			
			var epg_one = new Array(ut_start, epg_prog, epg_desc, active );
			if(active)
			{

				EPG.selected_page = parseInt(epg.length / 10);
				
				if(epg.length>9)
					EPG.selected_program = epg.length % 10;
				else
					EPG.selected_program = epg.length;

			}	
			epg.push(epg_one);
		}

		return epg
}

KTV_API.getEPGnextDAYstart = function(ch_id, day)
{
		var params = 'cid=' + ch_id + '&day=' + day;
		var xmlDoc = KTV_API.Request('epg', params);
		var ut_start = xmlDoc.getElementsByTagName("ut_start");
		
		for (var index = 0; index < ut_start.length; index++)
        {
			var ut_start = ut_start[index].childNodes[0].nodeValue;
			return ut_start;
		
		}


		
}

KTV_API.getCurrentEPG = function(ch_ids)
{
		var ch_ids_list = ch_ids.join(','); 
		var params = 'cids=' + ch_ids_list;
		var xmlDoc = KTV_API.Request('epg_current', params);
		
		var epg_current_tmp = new Array();
		
		var epg_current = new Array();
		for (var index = 0; index < ch_ids.length; index++)
        {
			var dummy = new Array(ch_ids[index], "", "", "", "");
			epg_current.push(dummy);
		}

		var items = xmlDoc.getElementsByTagName("item");
	
		for (var index = 0; index < items.length; index++)
        {
			
			var cid = "";
			var epg_start = "";
			var epg_end = "";
			var epg_prog = "";
			var epg_desc = "";
			var epg_progname = "";
			
			if(items[index].getElementsByTagName("cid").length)
				cid = items[index].getElementsByTagName("cid")[0].childNodes[0].nodeValue;
			if(items[index].getElementsByTagName("epg_start").length)
				epg_start = items[index].getElementsByTagName("epg_start")[0].childNodes[0].nodeValue;
			if(items[index].getElementsByTagName("epg_end").length)
				epg_end = items[index].getElementsByTagName("epg_end")[0].childNodes[0].nodeValue;
			if(items[index].getElementsByTagName("epg_progname").length)
				epg_progname = items[index].getElementsByTagName("epg_progname")[0].childNodes[0].nodeValue;

			
			if(epg_progname.length)
			{
				var epg_programm = epg_progname.split('\n');
				if(epg_programm[0])
					epg_prog = epg_programm[0];
				if(epg_programm[1])
					epg_desc = epg_programm[1];
			}
			
			var epg_one = new Array(cid, epg_start, epg_end, epg_prog, epg_desc);
			
			epg_current_tmp.push(epg_one);
		}
		
		
		for (var index = 0; index < epg_current_tmp.length; index++)
        {
			var arr_index = KTV_API.IndexOfId(ch_ids, epg_current_tmp[index][0])
			if(arr_index>-1)
				epg_current[arr_index] = epg_current_tmp[index];
		}
		

		return epg_current
}

KTV_API.IndexOfId = function(myarray, id)
{
	for (var index = 0; index < myarray.length; index++)
	{
		if(parseInt(myarray[index])==parseInt(id))
			return index
	}
	return -1
}
//
KTV_API.getVod_list = function(type, page, query, genre, nums, mode)
{		
		var xmlVods = null;
		var params = '';
		alert('11111 vod_selected_mode ' + mode);
		if(mode=="favorites")
		{
			params = 'type=' + type + '&page=' + page + '&query=' + query + '&genre=' + genre + '&nums=' + nums ;
			xmlVods = KTV_API.Request('vod_favlist', params);
		}
		else
		{	
			params = 'type=' + type + '&page=' + page + '&query=' + query + '&genre=' + genre + '&nums=' + nums ;
			xmlVods = KTV_API.Request('vod_list', params);
		}
		

		var items = xmlVods.getElementsByTagName("item");

		var vod_list = [ ];

		try
		{
			VideothekPlayer.page = xmlVods.getElementsByTagName("page")[0].childNodes[0].nodeValue;
		} catch(e){
			ConsoleLog("page e: "+e);
		}
		try
		{
			VideothekPlayer.vod_counter = xmlVods.getElementsByTagName("total")[0].childNodes[0].nodeValue;
		} catch(e){
			ConsoleLog("total e: "+e);
		}
		
		try
		{
			VideothekPlayer.vod_page_counter = xmlVods.getElementsByTagName("count")[0].childNodes[0].nodeValue;
		} catch(e){
			ConsoleLog("count e: "+e);
		}
		
		for (var index = 0; index < items.length; index++)
		{

			var	id = "";
			var	dt_modify = "";
			var	name = "";
			var	name_orig = "";
			var	description = "";
			var	poster = "";
			var	year = "";
			var	rate_imdb = "";
			var	rate_kinopoisk = "";
			var	rate_mpaa = "";
			var	country = "";
			var	genre_str = "";

            
			try
			{
				id = items[index].getElementsByTagName("id")[0].childNodes[0].nodeValue;
			} catch(e){
                //ConsoleLog("id e: "+e);
            }
			try
			{
				dt_modify = items[index].getElementsByTagName("dt_modify")[0].childNodes[0].nodeValue;
			} catch(e){
                //ConsoleLog("dt_modify e: "+e);
            }
			try
			{
				name = items[index].getElementsByTagName("name")[0].childNodes[0].nodeValue;
			} catch(e){
                //ConsoleLog("name e: "+e);
            }
			try
			{
				name_orig = items[index].getElementsByTagName("name_orig")[0].childNodes[0].nodeValue;
			} catch(e){
                //ConsoleLog("name_orig e: "+e);
            }
			try
			{
				description = items[index].getElementsByTagName("description")[0].childNodes[0].nodeValue;
			} catch(e){
                //ConsoleLog("description e: "+e);
            }
			try
			{
				poster = items[index].getElementsByTagName("poster")[0].childNodes[0].nodeValue;
			} catch(e){
                //ConsoleLog("poster e: "+e);
            }
			try
			{
				year = items[index].getElementsByTagName("year")[0].childNodes[0].nodeValue;
			} catch(e){
                //ConsoleLog("year e: "+e);
            }
			try
			{
				rate_imdb = items[index].getElementsByTagName("rate_imdb")[0].childNodes[0].nodeValue;
			} catch(e){
                //ConsoleLog("rate_imdb e: "+e);
            }
			try
			{
				rate_kinopoisk = items[index].getElementsByTagName("rate_kinopoisk")[0].childNodes[0].nodeValue;
			} catch(e){
                //ConsoleLog("rate_kinopoisk e: "+e);
            }
			try
			{
				rate_mpaa = items[index].getElementsByTagName("rate_mpaa")[0].childNodes[0].nodeValue;
			} catch(e){
                //ConsoleLog("rate_mpaa e: "+e);
            }
			try
			{
				country = items[index].getElementsByTagName("country")[0].childNodes[0].nodeValue;
			} catch(e){
                //ConsoleLog("country e: "+e);
            }			
			try
			{
				genre_str = items[index].getElementsByTagName("genre_str")[0].childNodes[0].nodeValue;
			} catch(e){
                //ConsoleLog("genre_str e: "+e);
            }	

				var Film = Array(id, dt_modify, name, name_orig, description, poster, year, rate_imdb, rate_kinopoisk, rate_mpaa, country, genre_str);
				vod_list.push(Film);


		}

		return vod_list

}

KTV_API.getVod_info = function(film_id)
{		
		params =  'id=' + film_id;
		
		xmlVods = KTV_API.Request('vod_info', params);

		var video = xmlVods.getElementsByTagName("videos");
		var items = video[0].getElementsByTagName("item");
		var videos = [ ];

		for (var index = 0; index < items.length; index++)
		{
			var id = '';
			var title = '';
			try{id = items[index].getElementsByTagName("id")[0].childNodes[0].nodeValue;} catch(e){ConsoleLog("id e: "+e);}
			try{title = items[index].getElementsByTagName("title")[0].childNodes[0].nodeValue;} catch(e){ConsoleLog("title e: "+e);}
			if(id)
				videos.push(Array(id, title));
		}

		var name = '';
		var name_orig = '';
		var description = '';
		var lenght = '';
		var year = '';
		var genre_str = '';
		var director = '';
		var scenario = '';
		var actors = '';
		var country = '';
		var poster = '';
		
		try{name = xmlVods.getElementsByTagName("name")[0].childNodes[0].nodeValue;} catch(e){ConsoleLog("name e: "+e);}
		try{name_orig = xmlVods.getElementsByTagName("name_orig")[0].childNodes[0].nodeValue;} catch(e){ConsoleLog("name_orig e: "+e);}
		try{description = xmlVods.getElementsByTagName("description")[0].childNodes[0].nodeValue;} catch(e){ConsoleLog("description e: "+e);}
		try{lenght = xmlVods.getElementsByTagName("lenght")[0].childNodes[0].nodeValue;} catch(e){ConsoleLog("lenght e: "+e);}
		try{year = xmlVods.getElementsByTagName("year")[0].childNodes[0].nodeValue;} catch(e){ConsoleLog("year e: "+e);}
		try{genre_str = xmlVods.getElementsByTagName("genre_str")[0].childNodes[0].nodeValue;} catch(e){ConsoleLog("genre_str e: "+e);}
		try{director = xmlVods.getElementsByTagName("director")[0].childNodes[0].nodeValue;} catch(e){ConsoleLog("director e: "+e);}
		try{scenario = xmlVods.getElementsByTagName("scenario")[0].childNodes[0].nodeValue;} catch(e){ConsoleLog("scenario e: "+e);}
		try{actors = xmlVods.getElementsByTagName("actors")[0].childNodes[0].nodeValue;} catch(e){ConsoleLog("actors e: "+e);}
		try{country = xmlVods.getElementsByTagName("country")[0].childNodes[0].nodeValue;} catch(e){ConsoleLog("country e: "+e);}
		try{poster = xmlVods.getElementsByTagName("poster")[0].childNodes[0].nodeValue;} catch(e){ConsoleLog("poster e: "+e);}

		VideothekPlayer.vod_selected = Array(videos, name, name_orig, description, lenght, year ,genre_str, director, scenario, actors, country );
}
		

KTV_API.getVod_URL = function(file_id)
{		
		params =  'fileid=' + file_id;
		
		xmlVods = KTV_API.Request('vod_geturl', params);
		try{
			var url_to_stream = xmlVods.getElementsByTagName("url")[0].childNodes[0].nodeValue;
			var url = url_to_stream.split(' ')[0].replace('http/ts://', 'http://');
		
		} 
		catch(e){ConsoleLog("url e: "+e);}
		
		return url
}

KTV_API.getGenres = function()
{		
		xmlVodGenres = KTV_API.Request('vod_genres', "");
		genre_list = new Array();
		try{
			var items = xmlVodGenres.getElementsByTagName("item");			
			for (var index = 0; index < items.length; index++)
			{
				var Genre = new Array();
				var id = items[index].getElementsByTagName("id")[0].childNodes[0].nodeValue;
				var name = items[index].getElementsByTagName("name")[0].childNodes[0].nodeValue;
				var Genre = Array(id, name);
				genre_list.push(Genre);
			}
		} 
		catch(e){ConsoleLog("getGenres e: "+e);}
		
		return genre_list
}

KTV_API.vodAddFav = function(vod_id)
{
	var params = 'id=' + vod_id;
	var xmlDoc = KTV_API.Request('vod_favadd', params);
	return true
}

KTV_API.vodDelFav = function(vod_id)
{
	var params = 'id=' + vod_id;
	var xmlDoc = KTV_API.Request('vod_favsub', params);
	return true
}		
