﻿var Display =
{
	status_timer : null,
	statusDiv : null,
}

Display.init = function()
{
    var success = true;
    
    this.statusDiv = document.getElementById("status");

    if (!this.statusDiv)
    {
        success = false;
    }
    
    return success;
}

Display.setVolume = function()
{
	var volume = Audio.getVolume();
	Display.status("<span>ГРОМКОСТЬ " + volume + "</span>");
}

Display.hidemenu = function()
{
	document.getElementById("main").style.display="none";
}

Display.showmenu = function()
{
	document.getElementById("main").style.display="block";
}

Display.hideplayer = function()
{
	document.getElementById("player").style.display="none";
	
	if(Player.state == Player.PLAYING_ARCHIVE)
	{
		document.getElementById("help_navi_archive_player").style.display="none";
		document.getElementById("help_navi_player").style.display="block";
		document.getElementById("help_navi_vod_player").style.display="none";
	}
	if(Player.state == Player.PLAYING_VOD)
	{
		document.getElementById("help_navi_archive_player").style.display="none";
		document.getElementById("help_navi_player").style.display="none";
		document.getElementById("help_navi_vod_player").style.display="block";
	}
}

Display.showplayer = function()
{
    if(Player.state == Player.PLAYING_ARCHIVE)
	{
		document.getElementById("help_navi_archive_player").style.display="block";
		document.getElementById("help_navi_player").style.display="none";
		document.getElementById("help_navi_vod_player").style.display="none";
	}
    if(Player.state == Player.PLAYING_VOD)
	{
		document.getElementById("help_navi_archive_player").style.display="none";
		document.getElementById("help_navi_player").style.display="none";
		document.getElementById("help_navi_vod_player").style.display="block";
	}
    if(Player.state == Player.PLAYING_LIVE)
	{
		document.getElementById("help_navi_archive_player").style.display="none";
		document.getElementById("help_navi_player").style.display="block";
		document.getElementById("help_navi_vod_player").style.display="none";
	}
	
	clearTimeout(this.infobar_timer);
	document.getElementById("player").style.display="block";
	Display.infobarTimer();
}
	
Display.infobarTimer = function()
{
	this.infobar_timer=setTimeout("Display.hideplayer()",10000);
}

Display.status = function(status)
{
	document.getElementById("statusbar").style.display="block";
    widgetAPI.putInnerHTML(this.statusDiv, status);
	clearTimeout(this.status_timer);
	Display.statusTimer();
}

Display.hidestatus = function()
{
	document.getElementById("statusbar").style.display="none";
}

Display.statusTimer = function()
{
	this.status_timer=setTimeout("Display.hidestatus()",5000);
}

//Scrolling Feature
var scrollCount = 280;
var idScrollInfo = 0;

Display.DisplayScrollingInfo = function() {
   clearInterval (idScrollInfo);       
   idScrollInfo = setInterval('Display.ShowScrollingInfo()', 50); 
}

Display.ShowScrollingInfo = function() {
     if(scrollCount == -280)  {
        scrollCount = 280;       
        document.getElementById("Text").style.left  =  scrollCount; 
    }
    
    document.getElementById("Text").style.left  =  scrollCount;
    scrollCount -= 2; 
}
