﻿var EPG =
{
	selected_program: 0,
	selected_page: 0,
	epg_array_index: 0,
	date: null,
	program_pages: 0,
	last_page_programs_counter: 0,
	epg_array : [ ],
	epg_day : 0,
	come_from: 0,
	
}

EPG.show = function()
{
	KeyHandler.setFocus(Main.EpgMenu_ID);
	if(EPG.come_from==2)
		document.getElementById("ch_list").style.display="block";
	else
		document.getElementById("ch_list").style.display="none";

	document.getElementById("help_navi_epg").style.display="block";
	document.getElementById("help_navi_menu").style.display="none";
	document.getElementById("help_navi_vod").style.display="none";

	EPG.getEPG();
	EPG.last_page_programs_counter = KTV_API.last_page_programs_counter;	
	EPG.setProgramList();

}

EPG.setProgramList = function()
{
	var chan = Array();
	var time = 0;
	var pr_on_page = 10;
	if(this.epg_array.length<1)
		EPG.getEPG();
	
	for (var index = 0; index < 10; index++)
		{
			document.getElementById("ch"+index).style.display="";
			widgetAPI.putInnerHTML(document.getElementById("time"+index), "");
			widgetAPI.putInnerHTML(document.getElementById("number"+index), "");
			widgetAPI.putInnerHTML(document.getElementById("progress"+index), "");
			document.getElementById("percent"+index).style.width= "0%";
			widgetAPI.putInnerHTML(document.getElementById("title"+index), "");
			document.getElementById("title"+index).style.width= "400px";
			document.getElementById("descr"+index).style.display="none";
			document.getElementById("img"+index).src="";
			document.getElementById("record"+index).style.backgroundImage= "";
			document.getElementById("number"+index).style.backgroundImage = "";
		}
	
	if(this.selected_page > this.program_pages-1)
		this.selected_page = 0;
	if(this.selected_page < 0)
		this.selected_page = this.program_pages-1;

	if(this.selected_page == this.program_pages-1)
	{
		pr_on_page = this.last_page_programs_counter;
		
		    for (var index = pr_on_page; index < 10; index++)
			{
				document.getElementById("ch"+index).style.display="none";
			}

		if(this.selected_program > this.last_page_programs_counter-1)
			this.selected_program = this.last_page_programs_counter-1;
	}

    for (var index = 0; index < pr_on_page; index++)
    {
		var pr_array_index = 10*this.selected_page + index;
		
		chan[index] = document.getElementById("chan"+index);
		chan[index].style.backgroundImage= "url(img/menu.png)";


		time = this.epg_array[pr_array_index][0];
		if(time)
		{
			var Time = KTV_API.timeToString(time)
			widgetAPI.putInnerHTML(document.getElementById("time"+index), Time);
		}
		
		if(KTV_API.channels[Main.chan_array_index][6] && ( time <  (KTV_API.servertime - 15*60)))
		{	document.getElementById("img"+index).src='img/rec.png';
			document.getElementById("percent"+index).style.width="100%";
		}
		else
			document.getElementById("img"+index).src='img/clock.png';
		
		if(this.epg_array[pr_array_index][3])
		{
			var percent = (KTV_API.channels[Main.chan_array_index][5] - KTV_API.channels[Main.chan_array_index][4])/100;
			var elapsed_time = (KTV_API.servertime - KTV_API.channels[Main.chan_array_index][4]);
			if(percent)
			{
				percent = (elapsed_time/percent);
				if(percent>100)
					percent = 100;
				widgetAPI.putInnerHTML(document.getElementById("progress"+index), parseInt(percent)+"%");
				document.getElementById("percent"+index).style.width= parseInt(percent)+"%";
			}
        }
        widgetAPI.putInnerHTML(document.getElementById("title"+index), this.epg_array[pr_array_index][1]);

		widgetAPI.putInnerHTML(document.getElementById("descr"+index), this.epg_array[pr_array_index][2]);

    }
	
	this.epg_array_index = 10*this.selected_page + this.selected_program;	

    chan[this.selected_program].style.backgroundImage= "url(img/menu_act.png)";
	document.getElementById("number"+this.selected_program).style.backgroundImage= "url(img/menu_act.png)";

	EPG.updateCurrentChannelEPG();
}

EPG.updateCurrentChannelEPG = function()
{	
	unix = this.epg_array[this.epg_array_index][0];
	epg_date = KTV_API.DateMenu(unix);
	server_date = KTV_API.DateMenu(KTV_API.servertime);
	if(epg_date==server_date)
		epg_date = "СЕГОДНЯ ";
	widgetAPI.putInnerHTML(document.getElementById("infoList"), "");
	var epg = '<div><div id="epg_date_style">' + epg_date + '</div><div id="epg_img"> <img src="http://iptv.germet.tv/logo/' + KTV_API.channels[Main.chan_array_index][0] + '.gif"></div><div id="epg_channel_name">'+KTV_API.channels[Main.chan_array_index][1]+'</div></div><br><br><br>' + this.epg_array[this.epg_array_index][1]+'<br><br>'+this.epg_array[this.epg_array_index][2];
	if(this.epg_array[this.epg_array_index][1])
		widgetAPI.putInnerHTML(document.getElementById("infoList"), epg);
		
	if(KTV_API.channels[Main.chan_array_index][5] && ( this.epg_array[this.epg_array_index][0] <  (KTV_API.servertime - 15*60)))
		document.getElementById("archive_play").style.display="block";
	else
		document.getElementById("archive_play").style.display="none";
}

EPG.getEPG = function()
{
	if(!this.date)
		date = EPG.timeToDate(KTV_API.servertime);
	else
		date = this.date;

	this.epg_array = KTV_API.getEPG(Main.ch_id_selected, date, KTV_API.channels[Main.chan_array_index][4]);
	this.program_counter = this.epg_array.length;
	this.program_pages = this.program_counter;
	this.last_page_programs_counter = this.program_counter % 10;
	if ( this.last_page_programs_counter > 0 && this.last_page_programs_counter < 5)
		this.program_pages = Math.round(this.program_pages / 10) + 1;
	else
		this.program_pages = Math.round(this.program_pages / 10);
	return true
}
		
EPG.selectNextProgram = function()
{
	this.selected_program++;
	if(this.selected_program>=10 || (this.selected_page == this.program_pages-1 && this.selected_program==this.last_page_programs_counter))
	{
		this.selected_program = 0;
		this.selected_page++;
	}
	EPG.setProgramList();
}

EPG.selectPrevProgram = function()
{
	this.selected_program--;
	if(this.selected_page == 0 && this.selected_program<0)
	{
		this.selected_program = this.last_page_programs_counter- 1;
		this.selected_page = this.program_pages-1;
	}
	
	if(this.selected_program<0)
	{
		this.selected_program = 9;
		this.selected_page--;
		
	}
	EPG.setProgramList();
}

EPG.selectPrevPage = function()
{
	this.selected_page--;
	EPG.setProgramList();
}

EPG.selectNextPage = function()
{
	this.selected_page++;
	EPG.setProgramList();
}

EPG.PlayChannel = function()
{
	if(KTV_API.channels[Main.chan_array_index][5] && ( this.epg_array[this.epg_array_index][0] <  (KTV_API.servertime - 15*60)))
	{
		KTV_API.getChannel_url(Main.ch_id_selected, this.epg_array[this.epg_array_index][0]);
		ArchivePlayer.current_archive_time = parseInt(this.epg_array[this.epg_array_index][0]);
		var next_day_date = EPG.timeToDate(parseInt(EPG.epg_array[0][0]) + 24*60*60);
		ArchivePlayer.last_program_end_time = parseInt(KTV_API.getEPGnextDAYstart(Main.ch_id_selected, next_day_date));
		Player.setVideoURL(KTV_API.url);
		ArchivePlayer.statusmessage = "запуск передачи из архива";
		ArchivePlayer.playVideo();
		KeyHandler.setFocus(Main.ArchivePlayer_ID);
	}
}

EPG.timeToDate = function(time)
{
    if(!time)
		return ""
	var mmToMonth = new Array("01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12");
	var Unixtime = new Date(time* 1000);
	var Day = Unixtime.getDate();
	if(Day<10)
		Day = '0' + Day;
	var Month = mmToMonth[Unixtime.getMonth()];
	var Year = Unixtime.getFullYear();
	Year = Year.toString();
	Year = Year.substring(2,4);
	return Day+Month+Year
}

EPG.prevDay = function()
{
	this.epg_day -= 1;
	if(this.epg_day< -13)
		this.epg_day= -13;
	EPG.setDate();
}

EPG.nextDay = function()
{
	this.epg_day += 1;
	EPG.setDate();
}

EPG.setDate = function()
{
	new_time = parseInt(KTV_API.servertime) + this.epg_day*24*60*60;
	this.date = EPG.timeToDate(new_time);
	EPG.show();
}		